libbuffy-perl_0.16_amd64.deb


Advertisement

Description

libbuffy-perl - Perl wrapper for the libbuffy library

Property Value
Distribution Debian 8 (Jessie)
Repository Debian Main amd64
Package name libbuffy-perl
Package version 0.16
Package release
Package architecture amd64
Package type deb
Installed size 381 B
Download size 96.08 KB
Official Mirror ftp.br.debian.org
Buffy wants to be the ultimate mail folder summary system.
This library provides efficient mailfolder checking routines, packaged in a
library with a simple API and with wrappers for many languages, so that
everyone can create mail folder summary systems in the language they prefer
without having to care about the actual mailbox checking.
Libbuffy currently supports detection and summarizing of folders in Maildir
and Mailbox format.
This package provides a Perl wrapper for libbuffy.

Alternatives

Package Version Architecture Repository
libbuffy-perl_0.16_i386.deb 0.16 i386 Debian Main
libbuffy-perl - - -

Requires

Name Value
libc6 >= 2.14
libgcc1 >= 1:4.1.1
libglib2.0-0 >= 2.12.0
libstdc++6 >= 4.4.0
perl >= 5.20.1-2
perlapi-5.20.1 -
zlib1g >= 1:1.1.4

Download

Type URL
Binary Package libbuffy-perl_0.16_amd64.deb
Source Package libbuffy-bindings

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libbuffy-perl deb package:
    # sudo apt-get install libbuffy-perl

Files

Path
/usr/lib/x86_64-linux-gnu/perl5/5.20/Buffy.pm
/usr/lib/x86_64-linux-gnu/perl5/5.20/auto/Buffy/Buffy.so
/usr/share/doc/libbuffy-perl/changelog.gz
/usr/share/doc/libbuffy-perl/copyright

Changelog

2014-10-24 - Enrico Zini <enrico@debian.org>
libbuffy-bindings (0.16) unstable; urgency=medium
* Converted to dh-python2. Closes: #730250.
* Updated debhelper compat to 9
* Cleaned up uploaders
* Updated standards-version, no changes required
2014-08-02 - gregor herrmann <gregoa@debian.org>
libbuffy-bindings (0.15+nmu1) unstable; urgency=medium
* Non-maintainer upload.
* Fix "hardcodes /usr/lib/perl5":
- pass perl directory to dh_install from debian/rules,
generated dynamically from $Config{vendorarch}
- remove debian/libbuffy-perl.install
(Closes: #752705)
2013-10-25 - Enrico Zini <enrico@debian.org>
libbuffy-bindings (0.15) unstable; urgency=low
* Cleaned up dependencies. Closes: #727609.
2013-08-11 - Enrico Zini <enrico@debian.org>
libbuffy-bindings (0.14) unstable; urgency=low
* Depend on libbbuffy 1.8. Closes: #711374.
2011-08-09 - Enrico Zini <enrico@debian.org>
libbuffy-bindings (0.13) unstable; urgency=low
* Acknowledge NMU.
* Depends on libbuffy 1.6 so we can deal with empty config files
* Depend on swig >= 2.0 since the package swig2.0 does not contain the
"swig" executable. See: #633821. Closes: #614532
* Build depend on new libbuffy. Closes: #637187
2011-05-09 - gregor herrmann <gregoa@debian.org>
libbuffy-bindings (0.12+nmu1) unstable; urgency=medium
* Non-maintainer upload.
* Build-depend on swig2.0 instead of swig; thanks to Chris Butler for the
analysis (closes: #624767).
* Apply Niko Tyni's 0001-Stop-writing-C-code-into-Buffy.pm.patch again
(closes: #567241 again).
* Set urgency to medium (RC bug fix, blocks perl 5.12 and python-defaults
transition).
2011-03-27 - Enrico Zini <enrico@debian.org>
libbuffy-bindings (0.12) unstable; urgency=low
* Cleaned up packaging, switched to dh.
* Switched to dh's default python build system. Closes: #616860
* Dropped ruby support since nobody uses it.
* Updated standards-version, no changes required
* Switch format to 3.0 (Native)
2010-08-02 - Enrico Zini <enrico@debian.org>
libbuffy-bindings (0.11) unstable; urgency=low
* Applied patch by Stefano Rivera. Closes: #586937
2010-03-05 - Enrico Zini <enrico@debian.org>
libbuffy-bindings (0.10) unstable; urgency=low
* Ported to libbuffy 1.4
2008-07-24 - Enrico Zini <enrico@debian.org>
libbuffy-bindings (0.9) unstable; urgency=low
* Rebuild to see if Buffy.pm doesn't get garbage appended at the end.

See Also

Package Description
libbuild-helper-maven-plugin-java-doc_1.8-1_all.deb Documentation for Build Helper Maven Plugin
libbuild-helper-maven-plugin-java_1.8-1_all.deb Build Helper Maven Plugin
libbullet-dev_2.82-r2704+dfsg-2_amd64.deb professional 3D Game Multiphysics Library -- development files
libbullet-doc_2.82-r2704+dfsg-2_all.deb professional 3D Game Multiphysics Library -- documentation
libbullet-extras-dev_2.82-r2704+dfsg-2_amd64.deb professional 3D Game Multiphysics Library -- extra development
libbulletcollision2.82_2.82-r2704+dfsg-2_amd64.deb professional 3D Game Multiphysics Library -- collision
libbulletdynamics2.82_2.82-r2704+dfsg-2_amd64.deb professional 3D Game Multiphysics Library -- dynamics
libbulletfileloader2.82_2.82-r2704+dfsg-2_amd64.deb professional 3D Game Multiphysics Library -- file loader
libbulletml-dev_0.0.6-6_amd64.deb C++ library to handle BulletML easily - development files
libbulletml0d2_0.0.6-6_amd64.deb C++ library to handle BulletML easily - runtime library
libbulletsoftbody2.82_2.82-r2704+dfsg-2_amd64.deb professional 3D Game Multiphysics Library -- soft body
libbulletworldimporter2.82_2.82-r2704+dfsg-2_amd64.deb professional 3D Game Multiphysics Library -- world importer
libbulletxmlworldimporter2.82_2.82-r2704+dfsg-2_amd64.deb professional 3D Game Multiphysics Library -- xml world importer
libbultitude-clojure_0.2.0-2_all.deb Clojure library for finding namespaces on the classpath
libburn-dev_1.3.2-1.1_amd64.deb development package for libburn4
Advertisement
Advertisement